//
//  MIDINFOPlugIn.h
//  MIDINFO
//
//  Created by Dustin O'Connor on 3/23/12.
//  Copyright (c) 2012 d0cut0uch. All rights reserved.
//

#import <Quartz/Quartz.h>
#import <CoreFoundation/CoreFoundation.h>
#import <CoreMIDI/CoreMIDI.h>
#import <AudioToolbox/AudioToolbox.h>

@interface MIDINFOPlugIn : QCPlugIn
{
    NSMutableArray * deviceList;
    MIDIClientRef client;
    MIDIPortRef outPort;
    MIDIClientRef echo_client;
    MIDIPortRef echo_outport;
    MIDIEndpointRef echo_destinationEndpoint;
    
}

// Declare here the properties to be used as input and output ports for the plug-in e.g.
//@property double inputFoo;
//@property (copy) NSString* outputBar;
@property (copy) NSArray* outputDevices;
@property (nonatomic, strong) NSMutableArray *  deviceList;
@end
