//
//  MIDIOPlugIn.h
//  MIDIO
//
//  Created by Dustin O'Connor on 3/23/12.
//  Copyright (c) 2012 d0cut0uch. All rights reserved.
//

#import <Quartz/Quartz.h>
#import <CoreFoundation/CoreFoundation.h>
#import <CoreMIDI/CoreMIDI.h>
#import <AudioToolbox/AudioToolbox.h>

@interface MIDIOPlugIn : QCPlugIn
{
    MIDIClientRef echo_client;
    MIDIPortRef echo_outport;
    MIDIEndpointRef echo_destinationEndpoint;  
}
@property double inputScale;
@property double inputNote;
@property double inputIndex;
@property double inputDevice;
@property double inputCH;
@property double inputVelocity;
@property BOOL inputTrigger;
@property BOOL inputTriggerOff;
@property BOOL inputChord;

// Declare here the properties to be used as input and output ports for the plug-in e.g.
//@property double inputFoo;
//@property (copy) NSString* outputBar;

@end
